## soapyuhd 0.3.1+git20161021

=== debian/changelog ===
soapyuhd (0.3.1+git20161021-1) unstable; urgency=medium

  * Initial release (Closes: #838313)

 -- Andreas Bombe <aeb@debian.org>  Wed, 26 Oct 2016 21:26:09 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs -p soapysdr-module-uhd --link-doc=soapysdr0.5-2-module-uhd
	dh_installdocs --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt

## soapyuhd 0.3.2

=== CMakeLists.txt ===
# Copyright 2012-2015 Free Software Foundation, Inc.
# Copyright 2015-2016 Josh Blum
#
# This file is part of SoapyUHD support modules
#
# SoapyUHD is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# SoapyUHD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.7)
project(SoapyUHD CXX C)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

########################################################################
# Dependencies
########################################################################
find_package(SoapySDR "0.4" NO_MODULE REQUIRED)
find_package(UHD NO_MODULE)

#try old-style find script
if (NOT UHD_FOUND)
    list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
    find_package(UHD)
endif()

if (NOT UHD_FOUND)
    message(WARNING "UHD not found -- required for Soapy UHD support")
    return()
endif()

if (NOT UHD_ROOT)
    get_filename_component(UHD_ROOT "${UHD_INCLUDE_DIRS}/.." ABSOLUTE)
endif()
message(STATUS "UHD root directory: ${UHD_ROOT}")
message(STATUS "UHD include directories: ${UHD_INCLUDE_DIRS}")
message(STATUS "UHD libraries: ${UHD_LIBRARIES}")

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${SoapySDR_INCLUDE_DIRS})
include_directories(${UHD_INCLUDE_DIRS})

message(STATUS "Checking uhd::device::register_device() API...")
message(STATUS "  Reading ${UHD_INCLUDE_DIRS}/uhd/device.hpp...")
file(READ ${UHD_INCLUDE_DIRS}/uhd/device.hpp device_hpp)
string(FIND "${device_hpp}" "device_filter_t" has_device_filter)
if ("${has_device_filter}" STREQUAL "-1")
    message(STATUS "  has original API")
else()
    add_definitions(-DUHD_HAS_DEVICE_FILTER)
    message(STATUS "  has filter API")
endif()

message(STATUS "Checking uhd::usrp::multi_usrp::set_rx_agc() API...")
message(STATUS "  Reading ${UHD_INCLUDE_DIRS}/uhd/usrp/multi_usrp.hpp...")
file(READ ${UHD_INCLUDE_DIRS}/uhd/usrp/multi_usrp.hpp multi_usrp_hpp)
string(FIND "${multi_usrp_hpp}" "set_rx_agc" has_set_rx_agc)
if ("${has_set_rx_agc}" STREQUAL "-1")
    message(STATUS "  missing set_rx_agc() API")
else()
    add_definitions(-DUHD_HAS_SET_RX_AGC)
    message(STATUS "  has set_rx_agc() API")
endif()

message(STATUS "Checking uhd::property::set_publisher() API...")
message(STATUS "  Reading ${UHD_INCLUDE_DIRS}/uhd/property_tree.hpp...")
file(READ ${UHD_INCLUDE_DIRS}/uhd/property_tree.hpp property_tree_hpp)
string(FIND "${property_tree_hpp}" "set_publisher" has_set_publisher)
if ("${has_set_publisher}" STREQUAL "-1")
    message(STATUS "  missing set_publisher() API")
else()
    add_definitions(-DUHD_HAS_SET_PUBLISHER)
    message(STATUS "  has set_publisher() API")
endif()

########################################################################
# Setup boost
########################################################################
MESSAGE(STATUS "Configuring Boost C++ Libraries...")

# Although not required on my system, some users have linking issues without
SET(BOOST_REQUIRED_COMPONENTS
    thread
    system
)

if(UNIX AND NOT BOOST_ROOT AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND NOT BOOST_ROOT AND EXISTS "/usr/lib64")

set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)

find_package(Boost COMPONENTS ${BOOST_REQUIRED_COMPONENTS})

if(NOT Boost_FOUND)
    message(WARNING "Boost required to build -- ignoring uhd support")
    return()
endif()

ADD_DEFINITIONS(-DBOOST_ALL_DYN_LINK)

include_directories(${Boost_INCLUDE_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

message(STATUS "Boost include directories: ${Boost_INCLUDE_DIRS}")
message(STATUS "Boost library directories: ${Boost_LIBRARY_DIRS}")
message(STATUS "Boost libraries: ${Boost_LIBRARIES}")

########################################################################
# Build a Soapy module to support UHD devices
########################################################################
SOAPY_SDR_MODULE_UTIL(
    TARGET uhdSupport
    SOURCES SoapyUHDDevice.cpp
    LIBRARIES
        ${UHD_LIBRARIES}
        ${Boost_LIBRARIES}
)

########################################################################
# Build a UHD module to support Soapy devices
########################################################################
add_library(soapySupport MODULE UHDSoapyDevice.cpp)
target_link_libraries(soapySupport
    ${UHD_LIBRARIES}
    ${SoapySDR_LIBRARIES}
    ${Boost_LIBRARIES})
install(TARGETS soapySupport
    DESTINATION ${UHD_ROOT}/lib${LIB_SUFFIX}/uhd/modules
)

########################################################################
# Print Summary
########################################################################
MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== debian/changelog ===
soapyuhd (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2

 -- Andreas Bombe <aeb@debian.org>  Wed, 25 Jan 2017 01:29:59 +0100

=== debian/control ===
Source: soapyuhd
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 10),
    cmake,
    libboost-dev, libboost-system-dev, libboost-thread-dev,
    libsoapysdr-dev,
    libuhd-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pothosware/SoapyUHD/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyuhd.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyuhd.git

Package: soapysdr0.5-2-module-uhd
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.5-2-module
Description: UHD device support for SoapySDR
 Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
 provide libraries to access various software defined radio hardware through a
 common interface.
 .
 This SoapySDR hardware support module makes all UHD devices available to
 applications using SoapySDR. An interface in the other direction is available
 in the uhd-soapysdr package.

Package: soapysdr-module-uhd
Architecture: any
Multi-Arch: same
Depends: soapysdr0.5-2-module-uhd, ${misc:Depends}
Description: UHD device support for SoapySDR (default version)
 Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
 provide libraries to access various software defined radio hardware through a
 common interface.
 .
 This SoapySDR hardware support module makes all UHD devices available to
 applications using SoapySDR. An interface in the other direction is available
 in the uhd-soapysdr package.
 .
 This is an empty dependency package that pulls in the UHD module for the
 default version of libsoapysdr.

Package: uhd-soapysdr
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SoapySDR device support for libuhd
 Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
 provide libraries to access various software defined radio hardware through a
 common interface.
 .
 This UHD module makes all SoapySDR devices available to applications using
 libuhd. An interface in the other direction is available in the
 soapysdr-module-uhd package.

## soapyuhd 0.3.3

=== debian/changelog ===
soapyuhd (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Adjust copyright years for Josh Blum in debian/copyright
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 07 Aug 2017 11:54:56 -0400

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
     debhelper (>= 10),
     cmake,
     libboost-dev, libboost-system-dev, libboost-thread-dev,
-    libsoapysdr-dev,
+    libsoapysdr0.6-dev,
     libuhd-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/pothosware/SoapyUHD/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyuhd.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyuhd.git
 
-Package: soapysdr0.5-2-module-uhd
+Package: soapysdr0.6-module-uhd
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.5-2-module
+Provides: soapysdr0.6-module
 Description: UHD device support for SoapySDR
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a
@@ -31,7 +31,7 @@
 Package: soapysdr-module-uhd
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.5-2-module-uhd, ${misc:Depends}
+Depends: soapysdr0.6-module-uhd, ${misc:Depends}
 Description: UHD device support for SoapySDR (default version)
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs -p soapysdr-module-uhd --link-doc=soapysdr0.5-2-module-uhd
+	dh_installdocs -p soapysdr-module-uhd --link-doc=soapysdr0.6-module-uhd
 	dh_installdocs --remaining-packages
 
 override_dh_installchangelogs:

## soapyuhd 0.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -93,6 +93,13 @@
     message(STATUS "  has set_publisher() API")
 endif()
 
+if (EXISTS "${UHD_INCLUDE_DIRS}/uhd/utils/msg.hpp")
+    add_definitions(-DUHD_HAS_MSG_HPP)
+    message(STATUS "  use msg.hpp for logging")
+else()
+    message(STATUS "  use log.hpp for logging")
+endif()
+
 ########################################################################
 # Setup boost
 ########################################################################

=== debian/changelog ===
soapyuhd (0.3.4-1build1) bionic; urgency=medium

  * No-change rebuild against libuhd003.010.003

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Feb 2018 01:20:57 +0000

soapyuhd (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4
  * Link with --as-needed
  * Bump Standards-Version to 4.1.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Wed, 20 Dec 2017 22:52:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: soapyuhd
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
     debhelper (>= 10),
@@ -9,7 +10,7 @@
     libboost-dev, libboost-system-dev, libboost-thread-dev,
     libsoapysdr0.6-dev,
     libuhd-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/pothosware/SoapyUHD/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyuhd.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyuhd.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DEB_HOST_MULTIARCH

## soapyuhd 0.3.6

=== debian/changelog ===
soapyuhd (0.3.6-2~mx19+1) mx; urgency=medium

  * Initial packaging for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sat, 18 Jan 2020 13:50:45 -0500

soapyuhd (0.3.6-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 17:47:40 +0200

soapyuhd (0.3.6-1) experimental; urgency=medium

  * New upstream version 0.3.6
  * Change SoapySDR ABI version in package names and dependencies from 0.6
    to 0.7
  * Add Deepwave Digital copyright line to debian/copyright
  * Switch Vcs-* headers over to repositories on salsa.debian.org
  * Increase debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Sep 2019 22:27:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: soapyuhd
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
 XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 10),
+    debhelper (>= 12),
     cmake,
     libboost-dev, libboost-system-dev, libboost-thread-dev,
-    libsoapysdr0.6-dev,
+    libsoapysdr0.7-dev,
     libuhd-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.4.1
 Homepage: https://github.com/pothosware/SoapyUHD/wiki
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyuhd.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyuhd.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyuhd
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyuhd.git
 
-Package: soapysdr0.6-module-uhd
+Package: soapysdr0.7-module-uhd
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.6-module
+Provides: soapysdr0.7-module
 Description: UHD device support for SoapySDR
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a
@@ -32,7 +31,7 @@
 Package: soapysdr-module-uhd
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.6-module-uhd, ${misc:Depends}
+Depends: soapysdr0.7-module-uhd, ${misc:Depends}
 Description: UHD device support for SoapySDR (default version)
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,11 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs -p soapysdr-module-uhd --link-doc=soapysdr0.6-module-uhd
+	dh_installdocs -p soapysdr-module-uhd --link-doc=soapysdr0.7-module-uhd
 	dh_installdocs --remaining-packages
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changelog.txt
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## soapyuhd 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -164,6 +164,36 @@
     DESTINATION ${UHD_ROOT}/lib${LIB_SUFFIX}/uhd/modules
 )
 
+#using C++11 features for this uhd module
+set_target_properties(soapySupport PROPERTIES CXX_STANDARD 11)
+
+########################################################################
+# rpath setup - http://www.cmake.org/Wiki/CMake_RPATH_handling
+########################################################################
+# use, i.e. don't skip the full RPATH for the build tree
+option(CMAKE_SKIP_BUILD_RPATH "skip rpath build" FALSE)
+
+# when building, don't use the install RPATH already
+# (but later on when installing)
+option(CMAKE_BUILD_WITH_INSTALL_RPATH "build with install rpath" FALSE)
+
+# the RPATH to be used when installing, but only if it's not a system directory
+option(CMAKE_AUTOSET_INSTALL_RPATH TRUE)
+if(CMAKE_AUTOSET_INSTALL_RPATH)
+LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" isSystemDir)
+IF("${isSystemDir}" STREQUAL "-1")
+    SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
+ENDIF("${isSystemDir}" STREQUAL "-1")
+endif(CMAKE_AUTOSET_INSTALL_RPATH)
+
+# add the automatically determined parts of the RPATH
+# which point to directories outside the build tree to the install RPATH
+option(CMAKE_INSTALL_RPATH_USE_LINK_PATH "build with automatic rpath" TRUE)
+
+if(APPLE)
+    set(CMAKE_MACOSX_RPATH ON)
+endif()
+
 ########################################################################
 # Print Summary
 ########################################################################

=== debian/changelog ===
soapyuhd (0.4.1-6) unstable; urgency=medium

  [ A. Maitland Bottoms ]
  * update to soapy-uhd-0.4.1-20-g2a5d381 (Closes: #1113524)
  * Bump Standards-Version to 4.7.2, no changes required

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Set upstream metadata fields: Repository.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Oct 2025 19:13:44 -0400

soapyuhd (0.4.1-5) unstable; urgency=medium

  * update to soapy-uhd-0.4.1-18-g6b52139
    to build with current uhd (Closes: #1099150)
  * Bump Standards-Version to 4.7.1, no changes required

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Mar 2025 22:16:27 -0500

soapyuhd (0.4.1-4) unstable; urgency=medium

  * Adapt d/watch to GitHub changes
  * Bump Standards-Version to 4.6.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Fri, 08 Sep 2023 00:14:11 +0530

soapyuhd (0.4.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 01:30:17 +0200

soapyuhd (0.4.1-2) experimental; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8
  * Add Rules-Requires-Root field to d/control
  * Bump Standards-Version to 4.6.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Fri, 27 Aug 2021 02:33:18 +0200

soapyuhd (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Increase debhelper compat level to 13, use Build-Depends on
    debhelper-compat instead of the old method and remove debian/compat
  * Update copyright years for Josh Blum
  * Add copyright for Nicholas Corgan
  * Bump Standards-Version to 4.5.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 13 Dec 2020 17:24:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: soapyuhd
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Andreas Bombe <aeb@debian.org>,
+	   A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends:
-    debhelper (>= 12),
+    debhelper-compat (= 13),
     cmake,
     libboost-dev, libboost-system-dev, libboost-thread-dev,
-    libsoapysdr0.7-dev,
+    libsoapysdr0.8-dev,
     libuhd-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/pothosware/SoapyUHD/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyuhd
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyuhd.git
+Rules-Requires-Root: no
 
-Package: soapysdr0.7-module-uhd
+Package: soapysdr0.8-module-uhd
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.7-module
+Provides: soapysdr0.8-module
 Description: UHD device support for SoapySDR
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a
@@ -31,7 +33,7 @@
 Package: soapysdr-module-uhd
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.7-module-uhd, ${misc:Depends}
+Depends: soapysdr0.8-module-uhd, ${misc:Depends}
 Description: UHD device support for SoapySDR (default version)
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs -p soapysdr-module-uhd --link-doc=soapysdr0.8-module-uhd
	dh_installdocs --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyUHD/tags .*/soapy-uhd-([\d\.]+)\.tar\.(?:xz|gz|bz2)
